*  Program...........: RFError.PRG
*  Author............: Edward Leafe
*  Project...........: RunFox; runtime command line utility
*  Created...........: 08/14/93
*  Copyright.........: (c) 1993 by Edward Leafe
*) Description.......: Error handling routine for RunFox.EXE
*                      It calls the Windows MSGBOX routine contained
*                      in FoxTools.FLL. When running under DOS, it calls
*                      a generic message window.
*  Calling Samples...: ON ERROR DO RFError WITH ERROR(), MESSAGE()
*  Parameter List....: tnError -> the numeric error code
*                      tcMsg   -> the FoxPro error message
*  Major change list.: 01/04/94 - Ported to 2.5 Windows and DOS

**********************************
****** S E T U P   C O D E  ******
**********************************
PARAMETERS tnError, tcMsg
PRIVATE ALL LIKE j*
PRIVATE ALL LIKE s*
PUSH KEY CLEAR

IF !EMPTY(tnError)
   tcMsg = ALLTRIM(tcMsg) + CHR(13) + "Error #" + ALLTRIM(STR(tnError))
ENDIF

DO CASE
   CASE "FOXPRO 2.0" $ UPPER(VERSION(1)) OR _DOS
      DO MsgBxDOS WITH " Error ",tcMsg,"\!\?\<OK","","!",1  && Call the error screen
   CASE _WINDOWS
      *** NOTE: If you are working with the DOS verison only,
      *   and do not have FoxPro Windows available, comment out 
      *   the next 3 lines and remove 'FoxTools.FLL' from the 
      *   project before building
      set library to sys(2004)+"foxtools.fll" additive
      jnDoIt = MSGBOX(tcMsg,"Error", 0+48)
      release library sys(2004)+"foxtools.fll"
ENDCASE

**********************************
*** C L E A N - U P   C O D E  ***
**********************************

POP KEY
RETURN
